package geniusweb.boa.acceptancestrategy;

import geniusweb.boa.NegoState;
import geniusweb.issuevalue.Bid;

public interface AcceptanceStrategy {

	/**
	 * 
	 * @param bid       the bid to be checked
	 * @param negoState the current {@link NegoState}
	 * @return true iff current bid is acceptable at this moment
	 */
	Boolean isAcceptable(Bid bid, NegoState negoState);
}
